﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinScrollBar;

namespace WindowsFormsApplication464
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraDayView1.CalendarInfo.SelectedDateRanges.Clear();
            ultraDayView1.CalendarInfo.SelectedDateRanges.Add(DateTime.Today, 25);
            ultraDayView1.CalendarLook.ActiveDayAppearance.BackColor = Color.Red;
        }

        ScrollArrowUIElement arrow;
        private void ultraDayView1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is ScrollArrowUIElement)
            {
                arrow = (ScrollArrowUIElement)e.Element;
            }
            else arrow = null;
        }

        private void ultraDayView1_MouseClick(object sender, MouseEventArgs e)
        {
            if (arrow != null)
            {
                switch (arrow.Direction)
                {
                    case ScrollButton.Right:
                        {
                            if (ultraDayView1.VisibleDays.Exists(ultraDayView1.CalendarInfo.ActiveDay.Date.AddDays(7)))
                            {
                                ultraDayView1.EnsureColumnInView(ultraDayView1.CalendarInfo.ActiveDay.Date.AddDays(7), ultraDayView1.ActiveOwner, true);
                                ultraDayView1.CalendarInfo.ActivateDay(ultraDayView1.CalendarInfo.ActiveDay.Date.AddDays(7));
                            }
                            break;
                        }
                    case ScrollButton.Left:
                        {
                            if (ultraDayView1.VisibleDays.Exists(ultraDayView1.CalendarInfo.ActiveDay.Date.AddDays(-7)))
                            {
                                ultraDayView1.EnsureColumnInView(ultraDayView1.CalendarInfo.ActiveDay.Date.AddDays(-7), ultraDayView1.ActiveOwner, true);
                                ultraDayView1.CalendarInfo.ActivateDay(ultraDayView1.CalendarInfo.ActiveDay.Date.AddDays(-7));
                            }
                            break;
                        }
                }
            }
        }
    }
}
